
//      pool table image

#version 3.6;

global_settings {
	assumed_gamma 2.2
	ambient_light rgb 0.2
	radiosity {
		count 300
		error_bound 0.8
		pretrace_start  0.08
		pretrace_end    1/min(image_height,image_width)
		recursion_limit 2
		nearest_count 10
		always_sample off
		normal off
	}

	photons {
		count 4000000
		autostop 0
		jitter 0.5
	}
}

#include "colors.inc"
#include "textures.inc"

camera {
	location <-20, -10, 15>
	look_at <6, 0, 1>
	up z
	sky z
	angle 30
	right x*4/3
}

background { rgb 0 }

light_source { <-20,  10, 40> color rgb 0.35 }
light_source { <  0,  10, 40> color rgb 0.35 }
light_source { < 20,  10, 40> color rgb 0.35 }
light_source { <-20, -10, 40> color rgb 0.35 }
light_source { <  0, -10, 40> color rgb 0.35 }
light_source { < 20, -10, 40> color rgb 0.35 }

disc { 0, z, 1000
	pigment { ForestGreen/2 }
	finish { crand 0.2 } //fuzz 0.1
}

#include "balls.inc"

union {
	#include "chalk.inc"
	rotate z*35 translate <1, -4, 0>
	photons {  
		target on
		reflection on
		refraction on
		collect on
    }
}

union {
	#include "stick.inc"
	rotate y*-0.434 translate z*0.25
	photons {  
		target on
		reflection on
		refraction on
		collect on
    }
}

union {
	#include "vlogo.inc"
	scale 4 rotate z*-10 translate <-50, -25, 15>
	pigment { rgb x }
	photons {  
		target on
		reflection on
		refraction on
		collect on
    }
}
